Bug Hunting Session
Bug 118806 - FILESAVE: sprial right animation saved as PPTX offset to upper left in powerpoint.
Summary: FILESAVE: sprial right animation saved as PPTX offset to upper left in powerp...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-17 16:04 UTC by Mark Hung
Modified: 2018-07-19 13:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Spiral right, a preset animation of Impress. (11.72 KB, application/vnd.oasis.opendocument.presentation)
2018-07-17 16:04 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-17 16:04:54 UTC
Created attachment 143601 [details]
Spiral right, a preset animation of Impress.

1. Open the attached file. The file contains a shape with "Spiral right" animation.
2. Save as PPTX.
3. Open in powerpoint and start the presentation.

Actual behavior: the motion path started on the left-top corner.
Expected behavior: the path should start from the position of the shape.
Comment 1 Commit Notification 2018-07-18 13:00:33 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0197a2ca1602c3ea13fecabd9de7499971830e21

tdf#118806 sd: specify the motion path origin for pptx.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.